=== debian/changelog ===
tigervnc (1.9.0+dfsg-2) unstable; urgency=medium

  [ Christoph Biedl ]
  * Add missing dependency on libunwind-dev. (Closes: #911712).

  [ Joachim Falk ]
  * Add missing .desktop file and icons for xtigervncviewer. (Closes: #905905).

  [ Mike Gabriel ]
  * debian/*: White-space clean up.
  * debian/control: Comment out one occursion of dh-autoreconf. Thanks lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Oct 2018 10:42:06 +0100

tigervnc (1.9.0+dfsg-1) unstable; urgency=high

  [ Joachim Falk ]
  * Fixed typo in tigervncserver wrapper script (Closes: #881276).
  * In /etc/X11/Xvnc-session, $SHELL should be quoted (Closes: #866061).
  * Updated Vcs-* fields in control to use new gitlab at salsa.debian.org.
  * Fixed underlying reason for bug #880308. Unfortunately, quoting in
    /usr/share/xserver-xorg/configure_flags.mk is fucked up in buster and
    ${xxx} is not escaped correctly. We now work around this problem
    and now again use consistent configure flags to build Xtigervnc.
  * Fresh upstream TigerVNC 1.9 (Closes: #877780 and Closes: #873151).

  [ Philipp Wolski ]
  * Added rfbport to supported commandline arguments for
    tightvncserver wrapper (Closes: #867175)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 29 Jul 2018 09:31:03 -0400
