=== debian/changelog ===
tigervnc (1.9.0.1-1+dde) unstable; urgency=medium

  * update

 -- TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>  Thu, 15 Jul 2021 15:40:49 +0800

tigervnc (1.9.0.1-1+dde) buster; urgency=medium

  [ Tang Haixiang]
  * Fix CVE-2020-26117
    Properly store certificate exceptions in native and java VNC viewer.

 --  Tang Haixiang <tanghaixiang@uniontech.com>  Fri May 20 18:08:13 2021 +0800

tigervnc (1.9.0+dfsg-3+deb10u2+rebuild) buster; urgency=medium

  [ Joachim Falk ]
  * Don't use libunwind for armel, armhf, and arm64 as this library is buggy
    (bug #923962) on those architectures (Closes: #932499).

 -- Joachim Falk <joachim.falk@gmx.de>  Tue, 16 Jun 2020 21:36:31 +0200

tigervnc (1.9.0+dfsg-3+deb10u1) buster; urgency=high

  [ Joachim Falk ]
  * Fix CVE-2019-15691, CVE-2019-15692, CVE-2019-15693, CVE-2019-15694, and
    CVE-2019-15695 (Closes: #947428)

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 23 Jan 2020 19:03:00 +0100

tigervnc (1.9.0+dfsg-3) unstable; urgency=medium

  [ Joachim Falk ]
  * Add missing dependency on libunwind-dev according to xorg-server-1.20.3
    control file. (Closes: #911712).
  * Fixed linitian complaints about patches/series.
  * Replace media/icons/tigervnc_16.png of wrong dimensions 20x20 by our fixed
    version.
  * Added debian/upstream/metadata.
  * Updated debian/copyright with excluded files and reason as well as
    refreshed TigerVNC homepage URL.
  * Updated debian/watch to correctly repack into a +dfsg.orig.tar.xz
    excluding files specified in debian/copyright.
  * Updated xtigervncviewer.desktop to shut up AppStream hint errors.

  [ Mike Gabriel ]
  * debian/patches:
    + Add patch headers to all patches currently in use.
  * debian/control:
    + Turn versioned Conflicts: into Breaks:/Replaces: relation.
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Use my @debian.org mail address in Uploaders: field.
    + Drop B-D on dh-autoreconf. Not required for DH compat level 10 and above.
  * debian/rules:
    + Enable all hardening build flags.
    + Remove empty line at EOF.
  * debian/{control,compat}:
    + Bump DH compat level to version 10 (for now, as CDBS does not yet
      support version 11).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Dec 2018 22:51:29 +0100
