=== debian/changelog ===
tigervnc (1.10.1+dfsg-3ubuntu0.20.04.1) focal-security; urgency=medium

  * SECURITY UPDATE: Enforce building of TigerVNC against a version of
    xorg-server-source that is not vulnerable to CVE-2023-1393.
    (LP: #2048442)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 23 Jan 2024 14:31:07 -0600

tigervnc (1.10.1+dfsg-3) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixed issue "Authentication failure: Out of memory" when
    saving server certificate exceptions
    (https://github.com/TigerVNC/tigervnc/issues/915).

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 09 Apr 2020 08:49:31 +0200

tigervnc (1.10.1+dfsg-2) unstable; urgency=medium

  [ Joachim Falk ]
  * Build fix for xorg-server-source 1.20.7, which moved ddxInputThread
    call from os layer into ddx layer (Closes: #951938).

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 12 Mar 2020 18:57:16 +0100

tigervnc (1.10.1+dfsg-1) unstable; urgency=high

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.10.1 fixes CVE-2019-15691, CVE-2019-15692,
    CVE-2019-15693, CVE-2019-15694, and CVE-2019-15695 (Closes: #947428)
  * Fixed bug in PlatformPixelBuffer::setupShm to use correct width and height
    methods.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Dec 2019 15:38:21 +0100

tigervnc (1.9.0+dfsg-4) unstable; urgency=medium

  [ Joachim Falk ]
  * Fix gnome shell integration of xtigervncviewer by updating
    xtigervncviewer.desktop and WM_CLASS of xtigervncviewer. (Closes: #905905)
  * Added missing dependencies to enable RANDR support in x0tigervncserver,
    i.e., tigervnc-scraping-server. Also ensure that dropping these
    dependencies will lead to a fatal build error in the future. (Closes:
    #929410)
  * Bumped version number in Debian provided man pages to TigerVNC 1.9
    (Closes: #932264).
  * Fixed two typos in Debian provided tigervncserver man page.
  * Fix crash on disconnect for TigerVNC 1.9 if internal http server used
    (Closes: #932832).
  * Added missing dependency on netbase for tigervnc-standalone-server
    to enable perl function getprotobyname() (Closes: #939055).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Sep 2019 12:06:12 +0200
