=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tigervnc
 Section: x11
 Priority: optional
-Maintainer: TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders:
  Joachim Falk <joachim.falk@gmx.de>,
- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
+ Mike Gabriel <sunweaver@debian.org>,
  Yaroslav Halchenko <debian@onerussian.com>,
  Ola Lundqvist <opal@debian.org>,
  Liang Guo <guoliang@debian.org>,
@@ -15,7 +16,6 @@
 # everything on is for the DMX and Xnest servers.
 Build-Depends:
  cdbs (>= 0.4.89),
-# dh-autoreconf,
  cmake (>= 2.8),
  pristine-tar,
  gettext,
@@ -23,16 +23,16 @@
  libjpeg-dev,
  libgnutls28-dev,
  libpam0g-dev,
- libunwind-dev,
  libxft-dev,
  libxcursor-dev,
+ libxrandr-dev,
+ libxdamage-dev,
  libwrap0-dev,
  libfltk1.3-dev (>= 1.3.3),
- xorg-server-source (>= 2:1.20),
+ xorg-server-source (>= 2:1.20.13-1ubuntu1~20.04.8),
  xserver-xorg-dev,
-# this are dependencies from xorg deb
- debhelper (>= 9),
- dh-autoreconf,
+# this are dependencies from xorg-server-1.20.3 source deb
+ debhelper (>= 10),
  po-debconf,
  dpkg-dev (>= 1.16.1),
  quilt,
@@ -45,8 +45,6 @@
  x11proto-dev (>= 2018.4),
  xtrans-dev (>= 1.3.5),
  libxau-dev (>= 1:1.0.5-2),
- x11proto-input-dev (>= 2.3),
- x11proto-dri2-dev (>= 2.8),
  libxdmcp-dev (>= 1:0.99.1),
  libxfont-dev (>= 1:2.0.1),
  libxkbfile-dev (>= 1:0.99.1),
@@ -57,16 +55,14 @@
  libudev-dev (>= 151-3) [linux-any],
  libselinux1-dev (>= 2.0.80) [linux-any],
  libaudit-dev [linux-any],
- x11proto-xf86dri-dev (>= 2.1.0),
  libdrm-dev (>= 2.4.89) [!hurd-i386],
- x11proto-gl-dev (>= 1.4.17),
  libgl1-mesa-dev (>= 9.2),
+ libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
  libxmuu-dev (>= 1:0.99.1),
  libxext-dev (>= 1:0.99.1),
  libx11-dev (>= 2:1.6),
  libxrender-dev (>= 1:0.9.0),
  libxi-dev (>= 2:1.6.99.1),
- x11proto-dmx-dev (>= 1:2.2.99.1),
  libdmx-dev (>= 1:1.0.1),
  libxpm-dev (>= 1:3.5.3),
  libxaw7-dev (>= 1:0.99.1),
@@ -109,7 +105,7 @@
   libdbus-1-dev (>= 1.0) [linux-any],
 # systemd-daemon
   libsystemd-dev [linux-any],
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian-remote-team/tigervnc.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/tigervnc
 Homepage: http://www.tigervnc.org
@@ -119,9 +115,12 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Conflicts:
+Breaks:
  tigervnc-server (<< 1.1.90),
- tigervnc-viewer (<< 1.1.90)
+ tigervnc-viewer (<< 1.1.90),
+Replaces:
+ tigervnc-server (<< 1.1.90),
+ tigervnc-viewer (<< 1.1.90),
 Description: Virtual network computing; Common software needed by servers
  VNC stands for Virtual Network Computing. It is, in essence, a remote
  display system which allows you to view a computing `desktop' environment
@@ -164,6 +163,7 @@
  x11-xkb-utils,
  xauth,
  libfile-readbackwards-perl (>= 1.05),
+ netbase,
  ${shlibs:Depends},
  ${misc:Depends},
  ${perl:Depends}
