=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Where the tigervnc sources are
 DEB_SRCDIR   = .
@@ -15,7 +19,6 @@
 #VNC_PATCH = $(CURDIR)/unix/xserver117.patch
 # However in this case we do not have this file from upstream so we use a
 # debian specific copy instead.
-#VNC_PATCH = $(CURDIR)/debian/xserver119-buster.patch
 #VNC_PATCH = $(CURDIR)/unix/xserver119.patch
 VNC_PATCH = $(CURDIR)/unix/xserver120.patch
 VNC_LIBTOOL_PATCH = $(CURDIR)/contrib/packages/deb/ubuntu-xenial/debian/xorg-source-patches/debian_libtool.patch
@@ -187,5 +190,3 @@
   sed -ne '/^xserver_confflags\s*=/{s/^[^=]*=//;s/--with-builderstring="[^"]*"//;p}')
 
 #-include /usr/share/xserver-xorg/configure_flags.mk
-#xserver_confflags := $(shell echo '$(xserver_confflags)' | sed 's/--with-builderstring="[^"]*"//')
-
